Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.service
Class ServiceLifecycleManager

    java.lang.Object
      org.mule.lifecycle.AbstractLifecycleManager<O>
          org.mule.lifecycle.SimpleLifecycleManager<FlowConstruct>
              org.mule.service.ServiceLifecycleManager

All Implemented Interfaces:
  LifecycleManager

    public class ServiceLifecycleManager

extends SimpleLifecycleManager<FlowConstruct>

The lifecycle manager responsible for managing lifecycle transitions for a Mule service. The Mule service adds some additional states, namely pause and resume. The lifecycle manager manages lifecycle notifications and logging as well.

Field Summary
`protected Log` | `logger` logger used by this class
`protected MuleContext` | `muleContext`

Fields inherited from class org.mule.lifecycle.AbstractLifecycleManager
`completedPhases, currentPhase, executingPhase, lifecycleManagerId, object, phaseNames, state`

Fields inherited from interface org.mule.api.lifecycle.LifecycleManager
`NOT_IN_LIFECYCLE_PHASE`

Constructor Summary
`ServiceLifecycleManager(FlowConstruct service, MuleContext muleContext)`

Method Summary
`void` | `fireDisposePhase(LifecycleCallback<FlowConstruct> callback)`
`void` | `fireInitialisePhase(LifecycleCallback<FlowConstruct> callback)`
`protected void` | `fireNotification(int action)`
`void` | `firePausePhase(LifecycleCallback<FlowConstruct> callback)`
`void` | `fireResumePhase(LifecycleCallback<FlowConstruct> callback)`
`void` | `fireStartPhase(LifecycleCallback<FlowConstruct> callback)`
`void` | `fireStopPhase(LifecycleCallback<FlowConstruct> callback)`
`protected void` | `notifyTransition(String destinationPhase)` Allows any for any state adjustments in sub classes.
`protected void` | `registerTransitions()`

Methods inherited from class org.mule.lifecycle.SimpleLifecycleManager
`fireLifecycle`

Methods inherited from class org.mule.lifecycle.AbstractLifecycleManager
`addDirectTransition, checkPhase, createLifecycleState, getCurrentPhase, getExecutingPhase, getLifecycleObject, getState, invokePhase, isDirectTransition, isDirectTransition, isPhaseComplete, registerLifecycleCallback, reset, setCurrentPhase, setExecutingPhase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

### muleContext

    protected MuleContext muleContext

Constructor Detail

### ServiceLifecycleManager

    public ServiceLifecycleManager(FlowConstruct service,
                                   MuleContext muleContext)
                            throws MuleException

Throws:
  `MuleException`

Method Detail

### registerTransitions

    protected void registerTransitions()

  Overrides:
    `registerTransitions` in class `SimpleLifecycleManager<FlowConstruct>`

### notifyTransition

    protected void notifyTransition(String destinationPhase)

  Description copied from class: `AbstractLifecycleManager`
  Allows any for any state adjustments in sub classes. For example, it may be necessary to remove a state from the 'completedPhases' collection once a transition occurs. This is only necessary for a Lifecycle Manager that introduces a new phase pair.

  Overrides:
    `notifyTransition` in class `AbstractLifecycleManager<FlowConstruct>`
  Parameters:
    `destinationPhase` - the currently completed phase

### fireInitialisePhase

    public void fireInitialisePhase(LifecycleCallback<FlowConstruct> callback)
                             throws MuleException

  Specified by:
    `fireInitialisePhase` in class `SimpleLifecycleManager<FlowConstruct>`
  Throws:
    `MuleException`

### fireStartPhase

    public void fireStartPhase(LifecycleCallback<FlowConstruct> callback)
                        throws MuleException

  Specified by:
    `fireStartPhase` in class `SimpleLifecycleManager<FlowConstruct>`
  Throws:
    `MuleException`

### firePausePhase

    public void firePausePhase(LifecycleCallback<FlowConstruct> callback)
                        throws MuleException

  Throws:
    `MuleException`

### fireResumePhase

    public void fireResumePhase(LifecycleCallback<FlowConstruct> callback)
                         throws MuleException

  Throws:
    `MuleException`

### fireStopPhase

    public void fireStopPhase(LifecycleCallback<FlowConstruct> callback)
                       throws MuleException

  Specified by:
    `fireStopPhase` in class `SimpleLifecycleManager<FlowConstruct>`
  Throws:
    `MuleException`

### fireDisposePhase

    public void fireDisposePhase(LifecycleCallback<FlowConstruct> callback)
                          throws MuleException

  Specified by:
    `fireDisposePhase` in class `SimpleLifecycleManager<FlowConstruct>`
  Throws:
    `MuleException`

### fireNotification

    protected void fireNotification(int action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.